View Issue Details

IDProjectCategoryView StatusLast Update
0020264Mylyn ConnectorUser Interfacepublic2017-02-14 16:38
Reporterfbue 
Assigned Torombert 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.10.1 
Target Version3.11.0Fixed in Version3.11.0 
Summary0020264: NullPointerException when refreshing repository configuration
Description

Refreshing repository configuration fails with the following Exception:

java.lang.NullPointerException
at com.itsolut.mantis.core.util.MantisUtils.transform(MantisUtils.java:53)
at com.itsolut.mantis.core.soap.MantisConverter.convert(MantisConverter.java:50)
at com.itsolut.mantis.core.soap.MantisConverter.convert(MantisConverter.java:463)
at com.itsolut.mantis.core.soap.MantisSoapClient$37.run(MantisSoapClient.java:286)
at com.itsolut.mantis.core.soap.MantisSoapClient.refresh0(MantisSoapClient.java:584)
at com.itsolut.mantis.core.soap.MantisSoapClient.refresh(MantisSoapClient.java:549)
at com.itsolut.mantis.core.soap.MantisSoapClient.updateAttributes(MantisSoapClient.java:440)
at com.itsolut.mantis.core.MantisRepositoryConnector.updateRepositoryConfiguration(MantisRepositoryConnector.java:267)
at com.itsolut.mantis.core.MantisRepositoryConnector.updateRepositoryConfiguration(MantisRepositoryConnector.java:279)
at org.eclipse.mylyn.internal.tasks.core.sync.UpdateRepositoryConfigurationJob.run(UpdateRepositoryConfigurationJob.java:57)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

I'm using Mantis Connector 3.10.1.201407122122 on Eclipse Mars 4.5.1.v20150904-0015

TagsNo tags attached.

Relationships

Activities

rombert

rombert

2015-11-11 17:38

manager   ~0051834

Just to make sure I'm working on the right issue, can you confirm that you have a version without a date set?

Also, what version of MantisBT do you use?

fbue

fbue

2015-11-19 10:12

reporter   ~0051897

I'm not sure what you mean by 'version without a date set'?
I installed the latest stable version from http://mylyn-mantis.sourceforge.net/eclipse/update.

Mantis version is 1.2.15

rombert

rombert

2015-11-19 10:17

manager   ~0051898

Sorry, I meant that one of the projects in Mantis has a version without a date set.

fbue

fbue

2015-11-20 03:06

reporter   ~0051904

There was one version without a date. Assigning a date fixed the problem.

fbue

fbue

2016-11-10 05:19

reporter   ~0054498

I recently ran into this issue again.
I saw that you fixed the NPE for version 3.11 (https://github.com/Mylyn-Mantis/mylyn-mantis/commit/f6516a9bd82d08f8c15122ba1c8c30aff4d76d1a). Are you planning to release 3.11 any time soon?

rombert

rombert

2017-01-10 14:30

manager   ~0055034

Sorry for the long delay in getting 3.11.0 out. I am working on getting a code signing certificate so I can finally perform a release.

I'm re-resolving this issue as the code fix is in.

Issue History

Date Modified Username Field Change
2015-11-11 03:53 fbue New Issue
2015-11-11 17:38 rombert Assigned To => rombert
2015-11-11 17:38 rombert Status new => assigned
2015-11-11 17:38 rombert Note Added: 0051834
2015-11-11 17:38 rombert Status assigned => feedback
2015-11-19 10:12 fbue Note Added: 0051897
2015-11-19 10:12 fbue Status feedback => assigned
2015-11-19 10:17 rombert Note Added: 0051898
2015-11-20 03:06 fbue Note Added: 0051904
2016-03-02 16:30 rombert Description Updated View Revisions
2016-03-02 17:08 rombert Status assigned => resolved
2016-03-02 17:08 rombert Resolution open => fixed
2016-03-02 17:08 rombert Fixed in Version => 3.10.1
2016-11-10 05:19 fbue Note Added: 0054498
2016-11-10 05:19 fbue Status resolved => feedback
2016-11-10 05:19 fbue Resolution fixed => reopened
2017-01-10 14:30 rombert Status feedback => resolved
2017-01-10 14:30 rombert Resolution reopened => fixed
2017-01-10 14:30 rombert Fixed in Version 3.10.1 => 3.11.0
2017-01-10 14:30 rombert Note Added: 0055034
2017-02-14 16:03 rombert Status resolved => closed
2017-02-14 16:37 rombert Status closed => feedback
2017-02-14 16:37 rombert Resolution fixed => reopened
2017-02-14 16:38 rombert Target Version => 3.11.0
2017-02-14 16:38 rombert Description Updated View Revisions
2017-02-14 16:38 rombert Status feedback => closed
2017-02-14 16:38 rombert Resolution reopened => fixed